/* You can add global styles to this file, and also import other style files */

@import "./variable";

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  background-color: $background-color;
}
main {
  font-size: 14px;
  color: #fff;
  height: 100%;
  width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #333333;
  margin-bottom: 0;
}

// text style
.text-center {
  text-align: center;
}

.bold {
  font-size: 18px;
  font-weight: 500;
}

// Button

.btn {
  border: none;
  outline: none;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 30px;
  background-color: $background-btn;
  color: #fff;
  cursor: pointer;
}

.btn-medium {
  height: 36px;
  width: 96px;
}

.btn-long {
  height: 36px;
  width: 100%;
}

.btn-short {
  height: 32px;
  width: 64px;
}

.btn:disabled {
  background-color: rgb(158, 158, 158);
}

.btn-green {
  background-color: $success-color;
}

// Flex

.flex {
  display: flex;
}

.flex-col {
  flex-direction: column;
}

.flex-center {
  justify-content: center;
  align-items: center;
}

// custom-scrollbar
::-webkit-scrollbar {
  width: 6px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: #aaa8a8;
  border-radius: 30px;
}

::-webkit-scrollbar-thumb:hover {
  background: #b1aeae;
}

// correct, incorrect
.correct {
  color: $success-color;
  border-color: $success-color !important;
}

.incorrect {
  color: $error-color;
  border-color: $error-color !important;
}
